%define piname	squiddio_pi

Name:		opencpn-squiddio-plugin
Summary:	Waypoints of sailing destinations plugin for OpenCpn
Version:	0.7
Release:	%mkrel 3
License:	GPLv3+
Group:		Geography
URL:		https://github.com/mauroc/%{piname}
# See opencpn specs for obtaining the versioned tarball.
Source0:	%{piname}-%{version}.tar.gz

BuildRequires:	cmake
BuildRequires:	bzip2-devel
BuildRequires:	gettext
BuildRequires:	wxgtku3.0-devel
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	tinyxml-devel

Requires:	opencpn
Provides:	%{piname} = %{version}

%description
Squiddio makes its global user-sourced and user-maintained repository of
sailing destinations (marinas, anchorages, yacht clubs, docks, fuel stations
etc.) available as waypoints in opencpn through a plugin.
The waypoint Properties box shows basic information about the Destination, 
such as the Destination's average user rating, address and phone number
(where available) and a link to the Destination's page on sQuddio.

%prep
%setup -q -n %{piname}

%build
%cmake

%make_build

%install
%make_install -C build

%find_lang opencpn-%{piname}

%ifarch x86_64
mkdir -p %{buildroot}%{_libdir}/opencpn
mv %{buildroot}/usr/lib/opencpn/* %{buildroot}%{_libdir}/opencpn/
%endif

%files -f opencpn-%{piname}.lang
%dir %{_libdir}/opencpn
%{_libdir}/opencpn/lib%{piname}.so


%changelog
* Sat Jun 03 2017 akien <akien> 0.7-3.mga6
+ Revision: 1106115
- Rebuild for wxgtk 3.0.3.1

* Thu Jun 02 2016 daviddavid <daviddavid> 0.7-2.mga6
+ Revision: 1019836
- rebuild for wxgtk3.0 built with GTK2

* Mon Feb 22 2016 barjac <barjac> 0.7-1.mga6
+ Revision: 975937
- new version 0.7

* Tue Feb 16 2016 barjac <barjac> 0.6-1.mga6
+ Revision: 962343
- changed buildrequire wxgtku3.0

* Tue Dec 08 2015 barjac <barjac> 0.5-1.mga6
+ Revision: 908785
- new package opencpn-squiddio-plugin

